Skip to main content
GET
Get social posts

Query Parameters

websiteId
string<uuid>

UUID of the website to fetch social posts for

Example:

"123e4567-e89b-12d3-a456-426614174000"

organizationId
string<uuid>

UUID of the organization to fetch social posts for

Example:

"123e4567-e89b-12d3-a456-426614174001"

userGroupId
string<uuid>

Optional UUID of the user group to filter posts

Example:

"123e4567-e89b-12d3-a456-426614174004"

userId

Optional UUID of the user to filter posts

Example:

"123e4567-e89b-12d3-a456-426614174003"

loyaltyPostId

Optional UUID of the loyalty post to filter posts

Example:

"123e4567-e89b-12d3-a456-426614174003"

cursor
string

Cursor for pagination

Example:

"123e4567-e89b-12d3-a456-426614174003"

limit
integer
default:20

Number of posts to fetch per page

Required range: 1 <= x <= 100
Example:

10

sortBy
enum<string>
default:rank

Sort posts by createdAt or rank

Available options:
rank,
createdAt
Example:

"rank"

Response

200

Response containing social posts with pagination info

data
Social Post · object[]
required
hasNextPage
boolean
required